<mat-card>
  <mat-card-header>
    <mat-card-title>
      <h3>
        {{ plateau.categoryName }}
        -
        {{ plateau.competitionName }}
        -
        {{ plateau.divisionName }}
        -
        {{ plateau.groupName }}
        -
        J{{ plateau.dayIndex }}
        -
        {{ plateau.location }}
      </h3>
    </mat-card-title>
  </mat-card-header>
  <figure [class.grid-col-3]="plateau.teams.length > 4"
          *ngIf="'common.team.defaultPicture.url' | translate">
    <img *ngFor="let team of plateau.teams; trackBy: trackBySlug"
         class="lazy-load"
         [lazyLoad]="team.logoUrl || ('common.team.defaultPicture.url' | translate)"
         [errorImage]="'common.team.defaultPicture.url' | translate"
         [alt]="team.name" />
  </figure>
  <mat-card-content>
    <mat-chip-list>
      <mat-chip *ngFor="let team of plateau.teams; trackBy: trackBySlug"
                color="primary" selected>
        {{ team.shortName || team.name }}
        {{ team.index }}
      </mat-chip>
    </mat-chip-list>
    <div class="space-time">
      <mat-icon>
        location_on
      </mat-icon>
      <span>
        {{ plateau.location }}
      </span>
      <mat-icon>
        access_time
      </mat-icon>
      <span>
        {{ plateau.date | date:'short':undefined:'fr-FR' }}
      </span>
    </div>
  </mat-card-content>
  <mat-card-actions>
    <a mat-stroked-button color="primary"
       *ngIf="user | userHasRight:rightEnum.FMI_READ"
       [routerLink]="[plateau.slug, 'fmi', plateau.fmiSlug, 'read']"
       angulartics2On="click"
       angularticsLabel="plateau-fmi-read"
       angularticsAction="nav"
       angularticsCategory="plateau-list">
      <mat-icon>
        library_add_check
      </mat-icon>
      {{ 'plateau.list.action.fmi.read' | translate }}
    </a>
    <a mat-stroked-button color="primary"
       *ngIf="user | userHasRight:rightEnum.FMI_EDIT"
       [routerLink]="[plateau.slug, 'fmi', plateau.fmiSlug, 'matchs']"
       angulartics2On="click"
       angularticsLabel="plateau-fmi-match"
       angularticsAction="nav"
       angularticsCategory="plateau-list">
      <mat-icon>
        screen_rotation
      </mat-icon>
      {{ 'plateau.list.action.fmi.match' | translate }}
    </a>
    <a mat-flat-button color="primary"
       *ngIf="user | userHasRight:rightEnum.FMI_TEAM"
       [routerLink]="[plateau.slug, 'fmi', plateau.fmiSlug, 'team']"
       angulartics2On="click"
       angularticsLabel="plateau-fmi-team"
       angularticsAction="nav"
       angularticsCategory="plateau-list">
      <mat-icon>
        recent_actors
      </mat-icon>
      {{ 'plateau.list.action.fmi.team' | translate }}
    </a>
    <a mat-flat-button color="accent"
       *ngIf="(user | userHasRight:rightEnum.FMI_EDIT) || (user | userHasRight:rightEnum.FMI_SCORE) && (user | userIsInChargeOfPlateau:plateau)"
       [routerLink]="[plateau.slug, 'fmi', plateau.fmiSlug, 'score']"
       angulartics2On="click"
       angularticsLabel="plateau-fmi-score"
       angularticsAction="nav"
       angularticsCategory="plateau-list">
      <mat-icon>
        sports_soccer
      </mat-icon>
      {{ 'plateau.list.action.fmi.result' | translate }}
    </a>
  </mat-card-actions>
</mat-card>
